import tkinter as tk
from PIL import Image, ImageTk
import time

def run_ic_short_press(event):
    lbl_image.config(image=transparent_photo)

def run_ic_long_press(event):
    lbl_image.config(image=photo)

def button_press(event):
    global press_time
    press_time = time.time()

def button_release(event):
    release_time = time.time()
    if (release_time - press_time) > 0.5:  # Long press threshold
        run_ic_long_press(event)
    else:
        run_ic_short_press(event)

def turn_on_led():
    if led_var.get():
        print("LED turned on")
    else:
        print("LED turned off")

# Initialize the main window
root = tk.Tk()
root.title("Tkinter UI Example")
root.geometry("400x400")

# Global variable to store press time
press_time = 0

# Run IC button
btn_run_ic = tk.Button(root, text="Run IC")
btn_run_ic.grid(row=0, column=0, padx=10, pady=5)
btn_run_ic.bind("<ButtonPress-1>", button_press)  # Bind left mouse button press
btn_run_ic.bind("<ButtonRelease-1>", button_release)  # Bind left mouse button release

# Text for ListPicker1 button
btn_listpicker = tk.Button(root, text="Text for ListPicker1")
btn_listpicker.grid(row=0, column=1, padx=10, pady=5)

# Turn on LED checkbox
led_var = tk.IntVar()
chk_led = tk.Checkbutton(root, text="Turn on LED", variable=led_var, command=turn_on_led)
chk_led.grid(row=0, column=2, padx=10, pady=5)

# Text for DatePicker1 button
btn_datepicker = tk.Button(root, text="Text for DatePicker1")
btn_datepicker.grid(row=1, column=0, columnspan=3, padx=10, pady=5)

# Load and display the image
image_path = "./Capture.JPG"  # Update this with the correct path to your image
image = Image.open(image_path)
photo = ImageTk.PhotoImage(image)

# Create a fully transparent image
transparent_image = Image.new('RGBA', image.size, (0, 0, 0, 0))
transparent_photo = ImageTk.PhotoImage(transparent_image)

lbl_image = tk.Label(root, image=photo)
lbl_image.grid(row=2, column=0, columnspan=3, padx=10, pady=5)

# Bryan's Day out label
lbl_bryan = tk.Label(root, text="Bryan's Day out", bg="black", fg="white")
lbl_bryan.grid(row=3, column=0, columnspan=3, sticky='we', padx=10, pady=5)

# Slider to control servo
slider_servo = tk.Scale(root, from_=0, to=100, orient=tk.HORIZONTAL, label="Slide to control Servo")
slider_servo.grid(row=4, column=0, columnspan=3, padx=10, pady=5)

# Start the main loop
root.mainloop()
